Objects
The object store is a temporary key-vale storage mechanism for pipelines and runs. It allows the user to cache objects for the lifetime of multiple runs or for the lifetime of a single run.There are two separate types of objects, each useful for its own use case. Visit the documentation for more details on the associated lifetimes of pipeline specific and run specific objects
List all extension objects
/api/extensions/{extension_id}/objectsPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
extension_id | string | yes | The unique identifier for the target extension. |
Responses
| Status | Body | Description |
|---|---|---|
200 | ListExtensionObjectsResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Get extension object by key
/api/extensions/{extension_id}/objects/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
extension_id | string | yes | The unique identifier for the target extension. |
key | string | yes | The unique identifier for the target object. |
Responses
Insert a new object into the extension object store
/api/extensions/{extension_id}/objects/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
extension_id | string | yes | The unique identifier for the target extension. |
key | string | yes | The unique identifier for the target object. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
force | boolean | yes | Overwrite a value of a object if it already exists. |
Request body (required): raw bytes (application/octet-stream)
Responses
| Status | Body | Description |
|---|---|---|
201 | PutExtensionObjectResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Delete extension object by key
/api/extensions/{extension_id}/objects/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
extension_id | string | yes | The unique identifier for the target extension. |
key | string | yes | The unique identifier for the target object. |
Responses
List all pipeline objects
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/objectsPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses
| Status | Body | Description |
|---|---|---|
200 | ListPipelineObjectsResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Get pipeline object by key
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/objects/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target object. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses
Insert a new object into the pipeline object store
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/objects/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target object. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
force | boolean | no | Overwrite a value of a object if it already exists. |
Request body (required): raw bytes (application/octet-stream)
Responses
| Status | Body | Description |
|---|---|---|
201 | PutPipelineObjectResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Delete pipeline object by key
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/objects/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target object. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses
List all run objects
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}/objectsPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
run_id | integer | yes | The unique identifier for the target run. |
Responses
| Status | Body | Description |
|---|---|---|
200 | ListRunObjectsResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Get run object by key
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}/objects/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target object. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
run_id | integer | yes | The unique identifier for the target run. |
Responses
Insert a new object into the run object store
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}/objects/{key}Overwrites can be performed by passing the force query param.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target object. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
run_id | integer | yes | The unique identifier for the target run. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
force | boolean | no | Overwrite a value of a object if it already exists. |
Request body (required): raw bytes (application/octet-stream)
Responses
| Status | Body | Description |
|---|---|---|
201 | PutRunObjectResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Delete run object by key
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}/objects/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target object. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
run_id | integer | yes | The unique identifier for the target run. |
Responses